import { Component, Input, OnInit } from '@angular/core'

@Component({
	// eslint-disable-next-line @angular-eslint/component-selector
	selector: 'sui-text',
	templateUrl: './text.component.html',
	styleUrls: ['./text.component.scss']
})
export class SuiTextComponent implements OnInit {
	@Input() size: string = ''
	@Input() color: string = ''
	@Input() weight: string = ''

	fontTone: string = ''
	fontWeight: string = ''

	calculateColor(color: string) {
		if (color == 'muted') {
			return (this.fontTone = 'text-light-c4 dark:text-dark-c4')
		} else if (color == 'danger') {
			return (this.fontTone = 'text-alerts-danger-text')
		} else if (color == 'success') {
			return (this.fontTone = 'text-alerts-success-text')
		} else if (color == 'info') {
			return (this.fontTone = 'text-alerts-info-text')
		} else if (color == 'warning') {
			return (this.fontTone = 'text-alerts-warning-text')
		} else {
			return (this.fontTone = 'text-light-c5 dark:text-dark-c5')
		}
	}

	calculateWeight(weight: string) {
		if (weight == 'bold') {
			return (this.fontWeight = 'font-bold')
		} else if (weight == 'semibold') {
			return (this.fontWeight = 'font-semibold')
		} else if (weight == 'medium') {
			return (this.fontWeight = 'font-medium')
		} else if (weight == 'light') {
			return (this.fontWeight = 'font-thin')
		} else if (weight == 'normal') {
			return (this.fontWeight = 'font-normal')
		} else {
			return (this.fontWeight = 'font-normal')
		}
	}

	calculateStyles(size: string) {
		if (size == 'small') {
			return this.fontWeight + ' text-sm leading-normal ' + this.fontTone
		} else if (size == 'medium') {
			return this.fontWeight + ' text-md leading-normal ' + this.fontTone
		} else if (size == 'large') {
			return this.fontWeight + ' text-lg leading-normal ' + this.fontTone
		} else if (size == 'x-large') {
			return this.fontWeight + ' text-xl leading-normal ' + this.fontTone
		} else {
			return this.fontWeight + ' text-md leading-normal ' + this.fontTone
		}
	}

	constructor() {}

	ngOnInit(): void {}
}
